Hi @kairobert . If the line layer has the word "Bend" in its name, it becomes invisible. So make sure your bend line layers have the word "Bend" in their names, or change to your own.
Dim oDoc As Document = ThisDoc.Document
If Not TypeOf oDoc Is DrawingDocument Then Exit Sub
Dim oDDoc As DrawingDocument = oDoc
For Each oSheet As Sheet In oDDoc.Sheets
For Each oView As DrawingView In oSheet.DrawingViews
If oView.Name.Contains("FLAT2") AndAlso oView.IsFlatPatternView Then
For i As Integer = 1 To oView.DrawingCurves().Count
If oView.DrawingCurves()(i).Segments(1).Layer.Name.Contains("Bend") Then
oView.DrawingCurves()(i).Segments(1).Visible= False
End If
Next i
End If
Next
Next